stringprep-1.0.0: Implements the "StringPrep" algorithm

Safe Haskell | None
Language | Haskell98

Text.StringPrep.Profiles

Description

Profiles as defined by various sources

Synopsis

- namePrepProfile :: Bool -> StringPrepProfile
- saslPrepProfile :: Bool -> StringPrepProfile

# Documentation

namePrepProfile :: Bool -> StringPrepProfile Source #

Nameprep profile (RFC 3491)

saslPrepProfile :: Bool -> StringPrepProfile Source #

SASLPrep profile (RFC 4013). The parameter determines whether unassigned charater are allowed (query behaviour) or disallowed (store)